Bug 799137 - portaudio dependency & therefore jack dependency
portaudio dependency & therefore jack dependency
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: espeak (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 799144
  Show dependency treegraph
 
Reported: 2012-03-01 15:58 EST by Bill Nottingham
Modified: 2014-03-16 23:29 EDT (History)
6 users (show)

See Also:
Fixed In Version: espeak-1.46.02-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-13 14:35:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2012-03-01 15:58:12 EST
Description of problem:

This is https://bugzilla.redhat.com/show_bug.cgi?id=782791 in a Fedora context.

espeak's portaudio dependency (and therefore, jack dependency) cause both portaudio and jack to be pulled into the live images.

What do we lose if we go pulse-only for espeak?

Version-Release number of selected component (if applicable):

20120229 live image

How reproducible:

100%
Comment 1 Peter Robinson 2012-03-02 09:11:29 EST
I don't believe we lose anything. Not sure if it's a module that could be moved into a sub package so for the minimal possibly that people use it they could install a sub package
Comment 2 Jaroslav Škarvada 2012-03-02 09:36:13 EST
(In reply to comment #1)
> I don't believe we lose anything. Not sure if it's a module that could be moved
> into a sub package so for the minimal possibly that people use it they could
> install a sub package

It cannot be moved into subpackage. I am not against drop, but to be sure I wrote to devel mailing list.
Comment 3 Kevin Kofler 2012-03-02 20:41:41 EST
Indeed, a subpackage is not possible in the current state of the code. The backend is hardcoded inside the executable. The optional runtime backend switchability I wrote and got upstreamed works by adding a third set of backend functions which wrap the real functions with code like if (PulseAudio running) pulse_foo(); else port_foo();, but both backends need to be compiled into the executable. A plugin system would be more work.
Comment 4 Fedora Update System 2012-03-06 03:19:48 EST
espeak-1.46.02-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/espeak-1.46.02-3.fc17
Comment 5 Fedora Update System 2012-03-07 02:22:38 EST
Package espeak-1.46.02-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing espeak-1.46.02-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3188/espeak-1.46.02-3.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-03-13 14:35:09 EDT
espeak-1.46.02-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.